Subject: Ticket Assigned - Delivery
From: Splash <[email-masked]>
To: [email-masked]
Date: Sat, 15 Jan 2022 06:51:23 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have called multiple Times to the customer service but no one understands the problem I am repeatedly telling them that please tell me what time will I get my delivery but no one is helping me E I requested the delivery for Friday but they do not understand this urgency I am very upset with Splash and its services I feel IM getting robbed and my money is stolen initially when I raised the order that time delivery was one day which was supposed to be delivered on the 12th for 13th but right now even today when I am calling customer service they are still telling me that it is with the shipping company and we do not know when the delivery e is going to come they are not giving me a proper time or a date please help me I am depressed because of splash I am in tension because of splash I am panicking because of splash I need my order today I need my order today immediat
 ely immediately urgently urgently https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3766865